
Redmine - Defect #11504

While an issue is assigned to a group changing the issue status generates an error

2012-07-25 00:50 - Pawel Orzechowski

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.4.4

Description

If an issue is assigned to a group and not to user and one wants to change its status (eg. from New to Resolved) then after clicking

create the error page shows:

"Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine

administrator for assistance.

If you are the Redmine administrator, check your log files for details

about the error.

"

After checking production.log I found that there is a statement ActiveRecord::AssociationTypeMismatch (User(#70073366359000)

expected, got Group(#70073332635960)): which suggests that maybe there is something wrong with association/assignemnt.

So when I change "assigned to" from group to a user, the status is updated correctly.

History

#1 - 2012-07-25 08:33 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Seems to be a plugin issue because the error occurs when calling a hook.

#2 - 2012-07-25 22:46 - Pawel Orzechowski

How to track which plugin is this?

I had similiar situation a few weeks ago with another issue (#11374), I asked that question there, also asked the question on forum, but get no

response.

Can you point me somehow?

Files

production.log.part.txt 3.73 KB 2012-07-24 Pawel Orzechowski
